[РЕШЕНО] Отсутствует протокол PPTP при подключении через Network Manager

Автор Roma-san, 15 января 2016, 00:31:03

« назад - далее »

0 Пользователи и 1 гость просматривают эту тему.

Roma-san

Ничего существенного по своему вопросу не нашел. Имеются установленные пакеты: ppp; pptp-linux; network-manager; network-manager-gnome; network-manager-pptp. Стоит Debian 8

Тем не менее при попытке создать подключение к VPN через PPTP используя интерфейс NM происходит следующее (я делал скрины в debian, но они почему-то не перенеслись в шильдоус, пишет, что невозможно открыть изображение.. ну да ладно):
В интерфейсе NM нажимаю "+" (юзверь захотел в инет  :) ), далее выбираю, естественно, VPN. А вот после этого никакого PPTP я не обнаружил. Все так же красуется только один пункт "Импортировать из файла". Объясните, пожалуйста, мне, глупенькому, что происходит? Как с этим бороться?
"Сколько ни размышляй, а мозгов мне не хватит, чтобы самому во всём разобраться." (с) Окумура Рин. "Синий экзорцист"

ihammers

Показывайте вывод следующих команд:
~$ dpkg -l \*ppp\*
~$ dpkg -l \*pptp\*


После установки пакетов связанных с pptp перезапускали ли Network Manager?
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290

Roma-san

#2
$ dpkg -l \*ppp\*

Вывод:
Открыть содержимое (спойлер)
dpkg -l \*ppp\*
Желаемый=неизвестно/установить/удалить[r]/вычистить[p]/зафиксировать[h]
| Состояние=не[n]/установлен/настроен[c]/распакован/частично настроен[F]/
            частично установлен[H]/trig-aWait/Trig-pend
|/ Ошибка?=(нет)/требуется переустановка[R] (верхний регистр
в полях состояния и ошибки указывает на ненормальную ситуацию)
||/ Имя                             Версия               Архитектура          Описание
+++-===============================-====================-====================-====================================================================
ii  ppp                             2.4.6-3.1            amd64                Point-to-Point Protocol (PPP) - daemon
un  pppdcapiplugin                  <нет>                <нет>                (описание недоступно)

[свернуть]

$ dpkg -l \*pptp\*

Вывод:
Открыть содержимое (спойлер)
dpkg -l \*pptp\*
Желаемый=неизвестно/установить/удалить[r]/вычистить[p]/зафиксировать[h]
| Состояние=не[n]/установлен/настроен[c]/распакован/частично настроен[F]/
            частично установлен[H]/trig-aWait/Trig-pend
|/ Ошибка?=(нет)/требуется переустановка[R] (верхний регистр
в полях состояния и ошибки указывает на ненормальную ситуацию)
||/ Имя                             Версия               Архитектура          Описание
+++-===============================-====================-====================-====================================================================
ii  network-manager-pptp            0.9.10.0-1           amd64                network management framework (PPTP plugin core)
un  network-manager-pptp-gnome      <нет>                <нет>                (описание недоступно)
ii  pptp-linux                      1.7.2-7              amd64                Point-to-Point Tunneling Protocol (PPTP) Client

[свернуть]

Если я правильно понял, необходимо доустановить network-manager-pptp-gnome? И pppdcapiplugin?

После установки перезагружал как систему так и сам NM
$ sudo service network-manager restart

Cообщение объединено 15 января 2016, 07:36:34

Поскольку подключения к сети нет, скачал эти пакеты с packages.debian.org.
pppdcapiplugin установился. При попытке установить network-manager-pptp-gnome получил ошибку:

"Не удалось установить файл
Произошла неизвестная ошибка транзакции
Дополнительная информация доступна в подробном отчете"

Грешу на зависимые пакеты, чего-то нет видимо
"Сколько ни размышляй, а мозгов мне не хватит, чтобы самому во всём разобраться." (с) Окумура Рин. "Синий экзорцист"

ihammers

Скорей всего только: network-manager-pptp-gnome.

Показывайте список репозиториев, скорей всего там ошибка.
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290

Roma-san

#4
Вот список

Цитировать# deb cdrom:[Debian GNU/Linux 8.2.0 _Jessie_ - Official amd64 DVD Binary-1 20150906-11:13]/ jessie contrib main

deb cdrom:[Debian GNU/Linux 8.2.0 _Jessie_ - Official amd64 DVD Binary-1 20150906-11:13]/ jessie contrib main

deb http://security.debian.org/ jessie/updates main contrib
deb-src http://security.debian.org/ jessie/updates main contrib

# jessie-updates, previously known as 'volatile'
# A network mirror was not selected during install.  The following entries
# are provided as examples, but you should amend them as appropriate
# for your mirror of choice.
#
# deb http://ftp.debian.org/debian/ jessie-updates main contrib
# deb-src http://ftp.debian.org/debian/ jessie-updates main contrib

Всё получилось. Я просто скачал версию *-pptp-gnome старую, не углядел :) Но на всякий случай, может что убрать/добавить в репы для нормальной работы?

Cообщение объединено 15 января 2016, 08:36:11

Итак, резюмирую. Вдруг кому нужно будет.
Для того, чтобы при создании нового подключения в окне NM появился протокол PPTP я установил следующие пакеты:

  • ppp
  • pptp-linux
  • network-manager-pptp
  • network-manager-pptp-gnome
  • pppdcapiplugin на всякий случай тоже поставил

Сделал
$ sudo service network-manager restart

И уаааля :)

Огромное спасибо ihammers за помощь  :)
"Сколько ни размышляй, а мозгов мне не хватит, чтобы самому во всём разобраться." (с) Окумура Рин. "Синий экзорцист"

nivion

А для XFCE?
Данное расширение пишет
# apt-get install network-manager-gnome xfce4-xfapplet-plugin
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
Package xfce4-xfapplet-plugin is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'xfce4-xfapplet-plugin' has no installation candidate


* Используйте теги для оформления сообщения, ihammers.


nivion

Следуя данному руководству получилось настроить VPN протокол для интерфейса GNOME, но я перещел на XFCE все в нову и там данное руководство не помогло. Как добавить протокол VPN для network-manager в XFCE?